[SRU] The Japanese Era name will be changed on May 1, 2019

Bug #1823444 reported by Mitsuya Shibata on 2019-04-06
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mozc
New
Unknown
mozc (Ubuntu)
Medium
Gunnar Hjalmarsson
Xenial
Medium
Mitsuya Shibata
Bionic
Medium
Mitsuya Shibata
Cosmic
Medium
Mitsuya Shibata
Disco
Medium
Mitsuya Shibata
Eoan
Medium
Gunnar Hjalmarsson

Bug Description

[Impact]

  New Japaenese era 'Reiwa' is expected to start on 1 May 2019.

    https://japan.kantei.go.jp/98_abe/statement/201904/_00001.html

  Mozc has A.D. to Japanese Era converter.

  * "AD 2018"(2018ねん) => "Heisei 30th"(平成三十年)

  Please support new era too as like following.

  * "AD 2018"(2018ねん) => "Heisei 30th"(平成三十年)
  * "AD 2019"(2019ねん) => "Heisei 31th"(平成三十一年)
  * "AD 2019"(2019ねん) => "Reiwa 1st"(令和元年)

[Test Case]

  * Enable Japanese InputMethod and Mozc.

    * Start "System Settings"
    * Open "Regiaon and Language" menu
    * Select "Japanese (Mozc)" from "Input Sources"
    * Restart GUI session

  * Startup gedit.

  * Input following strings and confirm popping up new era by space key.

    * "れいわ" => "令和"
    * "れいわ" => "㋿" (*1)
    * "2018ねん" => "平成三十年"
    * "2018ねん" => "平成三十年"
    * "2019ねん" => "平成三十一年"
    * "2019ねん" => "令和元年"
    * "2020ねん" => "令和二年"

  * *1: Current fonts-noto-cjk package has no glyph of U+32FF.

[Regression Potential]

  * There's basically no regression potential.

tags: added: bionic cosmic disco patch
Mitsuya Shibata (cosmos-door) wrote :

Add DEP-3 fields to patch

Changed in mozc:
status: Unknown → New
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for the bug report and the patch!

To not create a delta between Ubuntu and Debian, it would be better if you could provide the patch as a merge request to the Debian repo.

https://salsa.debian.org/debian/mozc

Any chance you can do that?

Mitsuya Shibata (cosmos-door) wrote :

@Gunnar

Sure. I will try file the bug.

Anyway, Do we have a time to merge mozc from debian until disco become final freeze?

And I would like to make SRU for bionic andcosmic.

Gunnar Hjalmarsson (gunnarhj) wrote :

Well, it's highly unlikely that Debian will release a new version before Thursday.

So if it's considered important to get it in in Disco, you'd better try to find someone who can sponsor the patch for Ubuntu. I have subscribed Ubuntu Sponsors (the release team does not review patches AFAIK), but I'd recommend that you also ping some core dev on IRC.

As regards Debian, I happened to have a local git repository ready, so I have submitted a merge request:

https://salsa.debian.org/debian/mozc/merge_requests/3

The SRU:s can be handled whenever you find the time.

https://wiki.ubuntu.com/StableReleaseUpdates

Changed in mozc (Ubuntu):
assignee: nobody → Mitsuya Shibata (cosmos-door)
importance: Undecided → Medium
status: New → In Progress
Łukasz Zemczak (sil2100) wrote :

From the release team POV, this is good to go to disco.

Changed in mozc (Ubuntu):
status: In Progress → Triaged
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks Łukasz. Changing back to "In Progress" then, to mark that it's ready to sponsor.

Changed in mozc (Ubuntu):
status: Triaged → In Progress
Mitsuya Shibata (cosmos-door) wrote :

> As regards Debian, I happened to have a local git repository ready, so I have submitted a merge request:

Thanks! I notified to Debian JP team.

https://lists.debian.or.jp/pipermail/debian-devel/2019-April/000269.html

Gunnar Hjalmarsson (gunnarhj) wrote :

@Mitsuya:

YOSHINO Yoshihito added a comment to the merge proposal, where he questions a string.

https://salsa.debian.org/debian/mozc/merge_requests/3#note_73231

Please handle that...

Gunnar Hjalmarsson (gunnarhj) wrote :

This has now been merged into the Debian repository. Since we now have reached final freeze for disco, it will need to be SRUed to disco as well.

This is what I suggest:

* Let's wait until Debian has made a new release which includes the era patch.

* Sync with Debian when the Ee-series has been opened.

* SRU by backporting the synced package.

Unsubscribing ubuntu-sponsors for now.

Changed in mozc (Ubuntu Disco):
assignee: Mitsuya Shibata (cosmos-door) → nobody
importance: Medium → Undecided
status: In Progress → New
Sebastien Bacher (seb128) wrote :

In order to SRU the change the bug needs to follow the guidelines from https://wiki.ubuntu.com/StableReleaseUpdates , basically a description of the impact, a test case and a description of the regression potential of the change

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mozc (Ubuntu Bionic):
status: New → Confirmed
Changed in mozc (Ubuntu Cosmic):
status: New → Confirmed
Changed in mozc (Ubuntu):
status: New → Confirmed

Hi Mitsuya-san, thanks for your work.

+Index: mozc-2.23.2815.102+dfsg/src/rewriter/date_rewriter.cc
+===================================================================
+--- mozc-2.23.2815.102+dfsg.orig/src/rewriter/date_rewriter.cc
++++ mozc-2.23.2815.102+dfsg/src/rewriter/date_rewriter.cc
(snip)
++ }, {
++ 2019,
++ "平成",
++ "れいわ",
+ }
+ };
+

It should be

+Index: mozc-2.23.2815.102+dfsg/src/rewriter/date_rewriter.cc
+===================================================================
+--- mozc-2.23.2815.102+dfsg.orig/src/rewriter/date_rewriter.cc
++++ mozc-2.23.2815.102+dfsg/src/rewriter/date_rewriter.cc
(snip)
++ }, {
++ 2019,
++ "令和",
++ "れいわ",
+ }
+ };
+

Simon Quigley (tsimonq2) wrote :

Unsubscribing the Sponsors Team as the bug description has not been updated to follow the SRU template yet.

Changed in mozc (Ubuntu Disco):
assignee: nobody → Mitsuya Shibata (cosmos-door)
Changed in mozc (Ubuntu Cosmic):
assignee: nobody → Mitsuya Shibata (cosmos-door)
Changed in mozc (Ubuntu Bionic):
assignee: nobody → Mitsuya Shibata (cosmos-door)
status: Confirmed → In Progress
Changed in mozc (Ubuntu Cosmic):
status: Confirmed → In Progress
Changed in mozc (Ubuntu Disco):
status: Confirmed → In Progress
Changed in mozc (Ubuntu Eoan):
status: Confirmed → In Progress
assignee: nobody → Mitsuya Shibata (cosmos-door)
status: In Progress → Confirmed
assignee: Mitsuya Shibata (cosmos-door) → nobody
Mitsuya Shibata (cosmos-door) wrote :

debdiff mozc_2.23.2815.102+dfsg-2ubuntu1.dsc mozc_2.23.2815.102+dfsg-2ubuntu2.dsc

description: updated
summary: - The Japanese Era name will be changed on May 1, 2019
+ [SRU] The Japanese Era name will be changed on May 1, 2019
Mitsuya Shibata (cosmos-door) wrote :

debdiff mozc_2.23.2815.102+dfsg-2.dsc mozc_2.23.2815.102+dfsg-2ubuntu1.dsc

Mitsuya Shibata (cosmos-door) wrote :

debdiff mozc_2.20.2673.102+dfsg-2.dsc mozc_2.20.2673.102+dfsg-2ubuntu1.dsc

Mozc on bionic does not support UTF-8 encoding data in source file.

Changed in mozc (Ubuntu Bionic):
assignee: Mitsuya Shibata (cosmos-door) → nobody
Changed in mozc (Ubuntu Cosmic):
assignee: Mitsuya Shibata (cosmos-door) → nobody
Changed in mozc (Ubuntu Disco):
assignee: Mitsuya Shibata (cosmos-door) → nobody
Changed in mozc (Ubuntu Bionic):
status: In Progress → Confirmed
Changed in mozc (Ubuntu Cosmic):
status: In Progress → Confirmed
Changed in mozc (Ubuntu Disco):
status: In Progress → Confirmed
Mitsuya Shibata (cosmos-door) wrote :

@Gunnar and ubuntu-sponsors

I re-generated debdiff with debian's patch for disco, cosmic, bionic.
Could you sponsor for this?

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks Mitsuya! I think it must make it into eoan first, though, and I put a merge proposal in a PPA:

https://launchpad.net/~gunnarhj/+archive/ubuntu/mozc

Now it should be ready to sponsor.

Changed in mozc (Ubuntu Eoan):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in mozc (Ubuntu Disco):
assignee: nobody → Mitsuya Shibata (cosmos-door)
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in mozc (Ubuntu Cosmic):
assignee: nobody → Mitsuya Shibata (cosmos-door)
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in mozc (Ubuntu Bionic):
assignee: nobody → Mitsuya Shibata (cosmos-door)
importance: Undecided → Medium
status: Confirmed → In Progress
Simon Quigley (tsimonq2) wrote :

Sponsored to Eoan, Disco, Cosmic, and Bionic.

Will these need to be done for Xenial and Trusty as well? If so, should we alert the ESM team to do it for Precise as well?

Thanks.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-04-21 18:05, Simon Quigley wrote:
> Sponsored to Eoan, Disco, Cosmic, and Bionic.

Thanks Simon!

> Will these need to be done for Xenial and Trusty as well? If so, should
> we alert the ESM team to do it for Precise as well?

Possibly Xenial; Mitsuya has to decide how important it would be.

In Trusty and Precise the default IM package for Japanese is ibus-anthy.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozc - 2.23.2815.102+dfsg-4ubuntu1

---------------
mozc (2.23.2815.102+dfsg-4ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable (LP: #1823444), remaining changes:
    - debian/rules:
      Let ibus-mozc Suggest instead of Recommend mozc-utils-gui

mozc (2.23.2815.102+dfsg-4) unstable; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (Closes: #927030)

mozc (2.23.2815.102+dfsg-3) unstable; urgency=medium

  * Update .desktop file.
    Use 128x128 image. (LP: #1765948)
  * Bump Standards-Version to 4.2.1.

 -- Gunnar Hjalmarsson <email address hidden> Sun, 21 Apr 2019 15:51:00 +0200

Changed in mozc (Ubuntu Eoan):
status: In Progress → Fix Released
Mitsuya Shibata (cosmos-door) wrote :

@Gunnar and @Simon

Thanks!

> Will these need to be done for Xenial and Trusty as well?
> Possibly Xenial; Mitsuya has to decide how important it would be.

Indeed. I attach a patch for xenial.

Changed in mozc (Ubuntu Xenial):
assignee: nobody → Mitsuya Shibata (cosmos-door)
importance: Undecided → Medium
status: New → In Progress
Simon Quigley (tsimonq2) wrote :

Sponsored to Xenial.

Does someone have an ESM contact they can poke just in case they support ibus-anthy?

Thanks.

Mitsuya Shibata (cosmos-door) wrote :

> Sponsored to Eoan, Disco, Cosmic, and Bionic.
> Sponsored to Xenial.

Thanks. I will wait verification request.

> Does someone have an ESM contact they can poke just in case they support ibus-anthy?

I have no contact. Anyway, a patch for anthy is here.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=927929

However anthy package in trusty/precise is very very old.
It seems that this patch couldn't be applied normally.

Hello Mitsuya, or anyone else affected,

Accepted mozc into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mozc/2.23.2815.102+dfsg-2ubuntu1.0.19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mozc (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in mozc (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed-cosmic
Steve Langasek (vorlon) wrote :

Hello Mitsuya, or anyone else affected,

Accepted mozc into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mozc/2.23.2815.102+dfsg-2ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mozc (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Steve Langasek (vorlon) wrote :

Hello Mitsuya, or anyone else affected,

Accepted mozc into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mozc/2.20.2673.102+dfsg-2ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mozc (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Steve Langasek (vorlon) wrote :

Hello Mitsuya, or anyone else affected,

Accepted mozc into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mozc/2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Mitsuya Shibata (cosmos-door) wrote :

I verified fixed in disco.

Mitsuya Shibata (cosmos-door) wrote :

I verified fixed in cosmic.

Mitsuya Shibata (cosmos-door) wrote :

I verified fixed in bionic.

Mitsuya Shibata (cosmos-door) wrote :

I verified fixed in xenial.

tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-disco verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-disco verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozc - 2.23.2815.102+dfsg-2ubuntu1.0.19.04.1

---------------
mozc (2.23.2815.102+dfsg-2ubuntu1.0.19.04.1) disco; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (LP: #1823444)

 -- Mitsuya Shibata <email address hidden> Sun, 21 Apr 2019 17:34:31 +0900

Changed in mozc (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mozc has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozc - 2.23.2815.102+dfsg-2ubuntu0.18.10.1

---------------
mozc (2.23.2815.102+dfsg-2ubuntu0.18.10.1) cosmic; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (LP: #1823444)

 -- Mitsuya Shibata <email address hidden> Sun, 21 Apr 2019 18:47:07 +0900

Changed in mozc (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozc - 2.20.2673.102+dfsg-2ubuntu0.18.04.1

---------------
mozc (2.20.2673.102+dfsg-2ubuntu0.18.04.1) bionic; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (LP: #1823444)

 -- Mitsuya Shibata <email address hidden> Sun, 21 Apr 2019 18:53:11 +0900

Changed in mozc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozc - 2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.2

---------------
mozc (2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.2) xenial; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (LP: #1823444)

 -- Mitsuya Shibata <email address hidden> Mon, 22 Apr 2019 21:55:24 +0900

Changed in mozc (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.